#---------------------------------------------------------------------------#
# $Id: Makefile.in,v 1.1 2004-10-21 14:58:07 cartho Exp $ #
#---------------------------------------------------------------------------#

CC=@CC@
CFLAGS=@CFLAGS@ @INCS@

#---------------------------------------------------------------------------#

LIB=../lib/libjnukepp.a
OBJDIR=../obj/pp
OBJ=$(OBJDIR)/ppblack.o $(OBJDIR)/pp.o $(OBJDIR)/parser.o \
$(OBJDIR)/prettyprint.o $(OBJDIR)/serializer.o $(OBJDIR)/deserializer.o

all: $(LIB)

$(LIB): $(OBJ)
	ar rc $@ $(OBJ)
	ranlib $@

clean:
	rm -f $(LIB) $(OBJ)

.PHONY: all clean

#---------------------------------------------------------------------------#

$(OBJDIR)/ppblack.o: black.c ../config.h ../sys/sys.h \
	../test/test.h pp.h
	$(CC) $(CFLAGS) -c -o $@ black.c

$(OBJDIR)/pp.o: pp.c ../config.h ../sys/sys.h \
	../test/test.h pp.h
	$(CC) $(CFLAGS) -c -o $@ pp.c

$(OBJDIR)/parser.o: parser.c ../config.h ../sys/sys.h \
	../test/test.h pp.h
	$(CC) $(CFLAGS) -c -o $@ parser.c

$(OBJDIR)/prettyprint.o: prettyprint.c ../config.h ../sys/sys.h \
	../test/test.h pp.h
	$(CC) $(CFLAGS) -c -o $@ prettyprint.c

$(OBJDIR)/serializer.o: serializer.c ../config.h ../sys/sys.h \
	../test/test.h pp.h
	$(CC) $(CFLAGS) -c -o $@ serializer.c

$(OBJDIR)/deserializer.o: deserializer.c ../config.h ../sys/sys.h \
	../test/test.h pp.h
	$(CC) $(CFLAGS) -c -o $@ deserializer.c
